%define module netaddr

Summary:	Pythonic manipulation of IPv4, IPv6, CIDR, EUI and MAC network addresses
Name:		python-%{module}
Version:	0.7.19
Release:	1
License:	BSD3c
Group:		Development/Python
Url:		https://github.com/drkjam/netaddr
Source0:	https://pypi.python.org/packages/source/n/netaddr/%{module}-%{version}.tar.gz
BuildRequires:	python-setuptools
BuildRequires:	pkgconfig(python)
BuildArch:	noarch

%description
A pure Python network address representation and manipulation library.

netaddr provides a Pythonic way of working with:
    - IPv4 and IPv6 addresses and subnets (including CIDR notation);
    - MAC (Media Access Control) addresses in multiple formats;
    - IEEE EUI-64, OUI and IAB identifiers;
    - a user friendly IP glob-style format.

Included are routines for:
    - generating, sorting and summarizing IP addresses;
    - converting IP addresses and ranges between various different formats;
    - performing set based operations on groups of IP addresses and subnets;
    - arbitrary IP address range calculations and conversions;
    - querying IEEE OUI and IAB organisational information;
    - querying of IP standards related data from key IANA data sources.

%files
%doc AUTHORS CHANGELOG COPYRIGHT LICENSE
%{_bindir}/%{module}
%{py_puresitedir}/*

#----------------------------------------------------------------------------

%prep
%setup -qn %{module}-%{version}
chmod -x AUTHORS CHANGELOG COPYRIGHT LICENSE # remove executable bit from docs

%build
CFLAGS="%{optflags}" python setup.py build

%install
python setup.py install --root %{buildroot} --install-purelib=%{py_puresitedir}


%changelog

* Wed Feb 07 2018 Denis Silakov <dsilakov@virtuozzo.com> 0.7.19-1
- (30fb303) Updated to 0.7.19


